Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.model
Interface SingleSelectionModel

All Known Implementing Classes:
  DefaultSingleSelectionModel

    public interface SingleSelectionModel

A model that supports at most one indexed selection.

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Adds listener as a listener to changes in the model.
`void` | `clearSelection()` Clears the selection (to -1).
`int` | `getSelectedIndex()` Returns the model's selection.
`boolean` | `isSelected()` Returns true if the selection model currently has a selected value.
`void` | `removeChangeListener(ChangeListener listener)` Removes listener as a listener to changes in the model.
`void` | `setSelectedIndex(int index)` Sets the model's selected index to index .

Method Detail

### addChangeListener

    void addChangeListener(ChangeListener listener)

  Adds listener as a listener to changes in the model.

  Parameters:
    `listener` - the ChangeListener to add

### clearSelection

    void clearSelection()

  Clears the selection (to -1).

### getSelectedIndex

    int getSelectedIndex()

  Returns the model's selection.

  Returns:
    the model's selection, or -1 if there is no selection

### isSelected

    boolean isSelected()

  Returns true if the selection model currently has a selected value.

  Returns:
    true if a value is currently selected

### removeChangeListener

    void removeChangeListener(ChangeListener listener)

  Removes listener as a listener to changes in the model.

  Parameters:
    `listener` - the ChangeListener to remove

### setSelectedIndex

    void setSelectedIndex(int index)

  Sets the model's selected index to index .
  Notifies any listeners if the model changes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD